#pragma once

#include "CoreMinimal.h"
#include "UniquelyIdentifiedAnalytic.h"
#include "EInboxType.h"
#include "EInboxError.h"
#include "InboxErrorAnalytics.generated.h"

USTRUCT(BlueprintType)
struct FInboxErrorAnalytics : public FUniquelyIdentifiedAnalytic
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EInboxType Type;

	UPROPERTY(EditAnywhere)
	EInboxError Error;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName NewsMessageId;

public:
	DBDANALYTICS_API FInboxErrorAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const FInboxErrorAnalytics) { return 0; }
